package com.rjconsultores.ventaboletos.rest.service;

import org.springframework.stereotype.Service;

import com.rjconsultores.routing.ReadOnlyConnection;
import com.rjconsultores.ventaboletos.dao.ConstanteDAO;
import com.rjconsultores.ventaboletos.entidad.Constante;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Service("ambienteService")
public class AmbienteService {

	public String getAmbienteReadWrite() {
		ConstanteDAO constanteDAO = (ConstanteDAO) AppContext.getApplicationContext().getBean("constanteDAO");
		Constante constante = constanteDAO.buscarPorNomeConstante("NOMBRE_AMBIENTE");

		return constante.getValorconstante();
	}

	@ReadOnlyConnection
	public String getAmbienteReadOnly() {
		return getAmbienteReadWrite();
	}
	
}